Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class DlpWebappHelper.TransDlpHtmlPrinter<W extends Writer>

    java.lang.Object
      java.io.Writer
          lp.struct.util.LpPrinter<W>
              lp.struct.util.LpPrettyPrinter<W>
                  lp.struct.util.EvolpPrettyPrinter<W>
                      lp.struct.util.LpHtmlPrinter<W>
                          lp.ui.DlpWebappHelper.TransDlpHtmlPrinter<W>

All Implemented Interfaces:
  Closeable, Flushable, Appendable, LpStructureUnitVisitor

Enclosing class:
  DlpWebappHelper

    private class DlpWebappHelper.TransDlpHtmlPrinter<W extends Writer>

extends LpHtmlPrinter<W>

Field Summary

Fields inherited from class lp.struct.util.EvolpPrettyPrinter
`innerTermsLeft, trackPosition`

Fields inherited from class lp.struct.util.LpPrettyPrinter
`ARROW_STRING, SPACE_STRING`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`DlpWebappHelper.TransDlpHtmlPrinter(W out)`

Method Summary
`void` | `append(TransformedDlp transDlp)`
`void` | `visit(LpPredicate pred)` Appends an HTML form of a `LpPredicate` instance to this `LpHtmlPrinter`.

Methods inherited from class lp.struct.util.LpHtmlPrinter
`append, append, appendOuterRule, appendPunctuation, appendPunctuation, arrow, beginParen, comma, dot, endParen, getBuffer, getBuffer, literalPrefix, visit, visit, visit`

Methods inherited from class lp.struct.util.EvolpPrettyPrinter
`appendInnerRule, registerTerm, visit, visit, write`

Methods inherited from class lp.struct.util.LpPrettyPrinter
`appendRuleNoDot, space, visit, visit, visitArgumentList`

Methods inherited from class lp.struct.util.LpPrinter
`append, append, append, append, close, flush, getOut, setOut, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DlpWebappHelper.TransDlpHtmlPrinter

    public DlpWebappHelper.TransDlpHtmlPrinter(W out)

Method Detail

### append

    public void append(TransformedDlp transDlp)

### visit

    public void visit(LpPredicate pred)

  Description copied from class: `LpHtmlPrinter`
  Appends an HTML form of a `LpPredicate` instance to this `LpHtmlPrinter`. Shouldn't be called directly, `LpPrinter.append(LpStructureUnit)` should be used instead. The natural form of a predicate is its name (see `LpPredicate.getName()`) enclosed in a `<span class="predicate">` element.

  Specified by:
    `visit` in interface `LpStructureUnitVisitor`
  Overrides:
    `visit` in class `LpHtmlPrinter<W extends Writer>`
  Parameters:
    `pred` - the `LpPredicate` instance whose HTML representation should be appended to the underlying `Writer`
  See Also:
    `LpPrinter`, `LpStructureUnitVisitor.visit(LpPredicate)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD